Bug 1256501 - nouveau with chromium 44 crashes the system
nouveau with chromium 44 crashes the system
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
21
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 14:36 EDT by Spacial
Modified: 2015-12-02 13:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:04:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Spacial 2015-08-24 14:36:17 EDT
$ rpm -qa | grep nouve
xorg-x11-drv-nouveau-1.0.11-1.fc21.x86_64
$ rpm -qa | grep chrome
google-chrome-stable-44.0.2403.157-1.x86_64

Chrome Version       : 44.0.2403.157 64 bits
URLs (if applicable) : maps.google.com (or anything that demands nouveau)
Other browsers tested:
Add OK or FAIL, along with the version, after other browsers where you
have tested this issue:
     Safari: not tested
    Firefox: ok
         IE: not tested

What steps will reproduce the problem?
1. Start Chromium on Fedora 21 with nouveau
2. (Sometimes the context menu gets black)
3. open the maps or any other site that has some gpu use.
3. X freeze and nouveau starts to meltdown the system.

What is the expected result?

see maps with street view

What happens instead?

system crashes

Please provide any additional information below. Attach a screenshot if
possible.

Couldn't get any screenshot, but here you can see the logs...


$ uname -a
Linux hostname 4.1.5-100.fc21.x86_64 #1 SMP Tue Aug 11 00:24:23 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
$ modinfo nouveau
filename:       /lib/modules/4.1.5-100.fc21.x86_64/kernel/drivers/gpu/drm/nouveau/nouveau.ko.xz
license:        GPL and additional rights
description:    nVidia Riva/TNT/GeForce/Quadro/Tesla
author:         Nouveau Project
alias:          pci:v000012D2d*sv*sd*bc03sc*i*
alias:          pci:v000010DEd*sv*sd*bc03sc*i*
depends:        drm,drm_kms_helper,ttm,mxm-wmi,wmi,video,i2c-algo-bit
intree:         Y
vermagic:       4.1.5-100.fc21.x86_64 SMP mod_unload
signer:         Fedora kernel signing key
sig_key:        0F:28:B5:5A:17:0E:1E:5C:03:48:6F:10:17:0E:FE:E9:6A:E7:A7:E7
sig_hashalgo:   sha256
parm:           tv_norm:Default TV norm.
                Supported: PAL, PAL-M, PAL-N, PAL-Nc, NTSC-M, NTSC-J,
                        hd480i, hd480p, hd576i, hd576p, hd720p, hd1080i.
                Default: PAL
                *NOTE* Ignored for cards with external TV encoders. (charp)
parm:           vram_pushbuf:Create DMA push buffers in VRAM (int)
parm:           nofbaccel:Disable fbcon acceleration (int)
parm:           tv_disable:Disable TV-out detection (int)
parm:           ignorelid:Ignore ACPI lid status (int)
parm:           duallink:Allow dual-link TMDS (default: enabled) (int)
parm:           pstate:enable sysfs pstate file, which will be moved in the future (int)
parm:           config:option string to pass to driver core (charp)
parm:           debug:debug string to pass to driver core (charp)
parm:           noaccel:disable kernel/abi16 acceleration (int)
parm:           modeset:enable driver (default: auto, 0 = disabled, 1 = enabled, 2 = headless) (int)
parm:           runpm:disable (0), force enable (1), optimus only default (-1) (int)
parm:           agpmode:AGP mode (0 to disable AGP) (int)



Aug 24 10:33:16 LinuxMachine kernel: [ 5376.622694] nouveau E[chrome[5173]] multiple instances of buffer 267 on validation list
Aug 24 10:33:16 LinuxMachine kernel: [ 5376.622701] nouveau E[chrome[5173]] validate_init
Aug 24 10:33:16 LinuxMachine kernel: [ 5376.622703] nouveau E[chrome[5173]] validate: -22
Aug 24 10:33:16 LinuxMachine kernel: nouveau E[chrome[5173]] multiple instances of buffer 267 on validation list
Aug 24 10:33:16 LinuxMachine kernel: nouveau E[chrome[5173]] validate_init
Aug 24 10:33:16 LinuxMachine kernel: nouveau E[chrome[5173]] validate: -22
Aug 24 10:33:44 LinuxMachine kernel: [ 5404.932857] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 0: INVALID_OPCODE at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:44 LinuxMachine kernel: [ 5404.932874] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 1: INVALID_OPCODE at 07df80 warp 0, opcode ffffffff ffffffff
Aug 24 10:33:44 LinuxMachine kernel: [ 5404.932888] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 0: INVALID_OPCODE at 078f00 warp 0, opcode a15e2609 fffff6d9
Aug 24 10:33:44 LinuxMachine kernel: [ 5404.932898] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 1: INVALID_OPCODE at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:44 LinuxMachine kernel: [ 5404.932903] nouveau E[  PGRAPH][0000:0f:00.0] ch 5 [0x001f798000 chrome[5173]] subc 3 class 0x8297 mthd 0x1b0c data 0x1000f010
Aug 24 10:33:44 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 0: INVALID_OPCODE at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:44 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 1: INVALID_OPCODE at 07df80 warp 0, opcode ffffffff ffffffff
Aug 24 10:33:44 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 0: INVALID_OPCODE at 078f00 warp 0, opcode a15e2609 fffff6d9
Aug 24 10:33:44 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 1: INVALID_OPCODE at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:44 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] ch 5 [0x001f798000 chrome[5173]] subc 3 class 0x8297 mthd 0x1b0c data 0x1000f010
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942018] nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH TLB flush idle timeout fail
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942025] nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH_STATUS  : 0x01900101 BUSY CTXPROG TPC_PROP TPC_MP ROP
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942034] nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH_VSTATUS0: 0x00000000
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942038] nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH_VSTATUS1: 0x00005028
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942041] nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH_VSTATUS2: 0x00200000 ROP
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942165] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 0: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942180] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 1: TIMEOUT at 07df80 warp 0, opcode ffffffff ffffffff
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942195] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 0: TIMEOUT at 078f00 warp 0, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942208] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 1: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: [ 5406.942216] nouveau E[  PGRAPH][0000:0f:00.0] ch 5 [0x001f798000 chrome[5173]] subc 3 class 0x8297 mthd 0x1b0c data 0x1000f010
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH TLB flush idle timeout fail
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH_STATUS  : 0x01900101 BUSY CTXPROG TPC_PROP TPC_MP ROP
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH_VSTATUS0: 0x00000000
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH_VSTATUS1: 0x00005028
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] PGRAPH_VSTATUS2: 0x00200000 ROP
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 0: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 1: TIMEOUT at 07df80 warp 0, opcode ffffffff ffffffff
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 0: TIMEOUT at 078f00 warp 0, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 1: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] ch 5 [0x001f798000 chrome[5173]] subc 3 class 0x8297 mthd 0x1b0c data 0x1000f010
Aug 24 10:33:46 LinuxMachine kernel: [ 5407.078295] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 0: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: [ 5407.078312] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 1: TIMEOUT at 07df80 warp 0, opcode ffffffff ffffffff
Aug 24 10:33:46 LinuxMachine kernel: [ 5407.078327] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 0: TIMEOUT at 078f00 warp 0, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: [ 5407.078341] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 1: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:33:46 LinuxMachine kernel: [ 5407.078351] nouveau E[  PGRAPH][0000:0f:00.0] ch 5 [0x001f798000 chrome[5173]] subc 3 class 0x8297 mthd 0x1b0c data 0x1000f010
Aug 24 10:33:46 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 0: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
....
Aug 24 10:41:56 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 1: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:41:56 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] ch 5 [0x001f798000 chrome[5173]] subc 3 class 0x8297 mthd 0x1b0c data 0x1000f010
Aug 24 10:41:56 LinuxMachine kernel: [ 5896.820983] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 0: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:41:56 LinuxMachine kernel: [ 5896.822396] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 1: TIMEOUT at 07df80 warp 0, opcode ffffffff ffffffff
Aug 24 10:41:56 LinuxMachine kernel: [ 5896.823804] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 0: TIMEOUT at 078f00 warp 0, opcode a15e2609 fffff6d9
Aug 24 10:41:56 LinuxMachine kernel: [ 5896.825219] nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 1: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:41:56 LinuxMachine kernel: [ 5896.826617] nouveau E[  PGRAPH][0000:0f:00.0] ch 5 [0x001f798000 chrome[5173]] subc 3 class 0x8297 mthd 0x1b0c data 0x1000f010
Aug 24 10:41:56 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 0: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:41:56 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 0 MP 1: TIMEOUT at 07df80 warp 0, opcode ffffffff ffffffff
Aug 24 10:41:56 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 0: TIMEOUT at 078f00 warp 0, opcode a15e2609 fffff6d9
Aug 24 10:41:56 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] TRAP_MP_EXEC - TP 1 MP 1: TIMEOUT at 078f00 warp 1, opcode a15e2609 fffff6d9
Aug 24 10:41:56 LinuxMachine kernel: nouveau E[  PGRAPH][0000:0f:00.0] ch 5 [0x001f798000 chrome[5173]] subc 3 class 0x8297 mthd 0x1b0c data 0x1000f010
Aug 24 10:41:56 LinuxMachine ModemManager[878]: <info>  Caught signal, shutting down...
Aug 24 10:41:56 LinuxMachine NetworkManager[1022]: <info>  ModemManager disappeared from bus
Aug 24 10:41:56 LinuxMachine ModemManager[878]: <info>  ModemManager is shut down
Aug 24 10:41:56 LinuxMachine alsactl[875]: alsactl daemon stopped
Aug 24 10:41:56 LinuxMachine chronyd[888]: chronyd exiting
Aug 24 10:41:56 LinuxMachine rsyslogd: [origin software="rsyslogd" swVersion="7.4.10" x-pid="891" x-info="http://www.rsyslog.com" exiting on signal 15.
Aug 24 11:05:43 LinuxMachine rsyslogd: [origin software="rsyslogd" swVersion="7.4.10" x-pid="1871" x-info="http://www.rsyslog.com" start
Aug 24 11:05:43 LinuxMachine kernel: [    0.000000] Initializing cgroup subsys cpuset
Aug 24 11:05:43 LinuxMachine kernel: [    0.000000] Initializing cgroup subsys cpu
Aug 24 11:05:43 LinuxMachine kernel: [    0.000000] Initializing cgroup subsys cpuacct
Aug 24 11:05:43 LinuxMachine kernel: [    0.000000] Linux version 4.1.5-100.fc21.x86_64 (mockbuild@bkernel02.phx2.fedoraproject.org) (gcc version 4.9.2 20150212 (Red Hat 4.9.2-6) (GCC) ) #1 SMP Tue Aug 11 00:24:23 UTC 2015
Aug 24 11:05:43 LinuxMachine kernel: [    0.000000] Command line: BOOT_IMAGE=/vmlinuz-4.1.5-100.fc21.x86_64 root=UUID=bde8e33d-d117-4028-a985-f91586ab6a07 ro rhgb quiet LANG=pt_BR.UTF-8
Aug 24 11:05:43 LinuxMachine kernel: [    0.000000] e820: BIOS-provided physical RAM map:


(rebooted new start from here)
Comment 1 Fedora End Of Life 2015-11-04 05:42:58 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-12-02 10:04:56 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.